Subject: bug#34927: Curl is not configured to use its dependency libssh2

From: Leo Famulari <[email-masked]>
Date: Wed, 20 Mar 2019 16:40:52 -0400

While working on a libssh2 update [0] I noticed that curl was not
keeping a reference to libssh2, even though libssh2 is an input of the
curl build.

Our curl package is missing the required configuration option:

------
SSH support:      no      (--with-libssh2)
------

I assume that our curl package did build with SSH support in the past,
but I'm not sure.

It's unfortunate that we have to use a graft to update libssh2 even
though only a few dozen packages refer to it, because of this curl
issue.

What should we do about curl? Should we remove libssh2 from its inputs,
or enable the build-time --with-libssh2 configuration option?

[0] 
https://bugs.gnu.org/34926